# TODO: - linguist in bindir

# David - 3.0.0-0.11mdk - These macros allow to enable some options specific
#                         to a Mandrake Linux distribution
%{expand:%%define buildfor8_0 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.0 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_1 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.1 ]; then echo 1; else echo 0; fi)}
%{expand:%%define buildfor8_2 %(A=$(awk '{print $4}' /etc/mandrake-release); if [ "$A" = 8.2 ]; then echo 1; else echo 0; fi)}


Summary:	Qt3 - Sources
Name: 		qt3
Version:	3.0.2
Release: 	2mdk
License:	GPL and QPL
Group:		System/Libraries
URL:		http://www.troll.no/
Packager:	Mandrake Linux KDE Team <kde@mandrakesoft.com>

# David - 3.0.0-0.11mdk - This Qt's version comes from KDE's CVS
Source: 	qt-x11-free-%version.tar.bz2

# David - 3.0.0-0.11mdk - Set QTDIR
Source1:	qt3-set-QTDIR-environment-csh
Source2:	qt3-set-QTDIR-environment-sh

# David - 3.0.0-0.11mdk - These two files allow users to launch designer and
#                         linguist from orginals KDE and Gnome menus.
#                         They come from debian/ directory in qt-copy (from
#                         KDE's CVS)
Source3:	qt3-designer.desktop
Source4:	qt3-linguist.desktop

# David - 3.0.0-0.11mdk - Properly set designer environment
Source5:	qt3-designer-sh

# David - 3.0.0-0.11mdk - Properly set assistant environment
Source6:	qt3-assistant-sh

# David - 3.0.0-0.11mdk - Properly set uic environment
Source7:	qt3-uic-sh

# David - 3.0.0-0.11mdk - Explain some things to users
Source8:	qt3-README-Mandrake-Linux

# David - 3.0.0-0.11mdk - Set QT_XFT
Source9:	qt3-set-QT_XFT-environment-csh
Source10:	qt3-set-QT_XFT-environment-sh
# Laurent 3.0.2 fix compile
Patch1:		qt-3.0.2-fix-compile.patch.bz2	

# Laurent - 3.0.2-2mdk - fix compile
Patch2:		qt3-3.0.2-fix-compile.patch.bz2

Buildroot: 	%_tmppath/%name-%version-%release-root

%if %buildfor8_0
BuildRequires:	db1 db3 freetype2-devel gawk libbzip2_1-devel
BuildRequires:	libunixODBC2-devel Mesa-common-devel MySQL-devel MySQL-shared
BuildRequires:	postgresql-devel rpm-build XFree86-devel XFree86-libs
BuildRequires:	XFree86-static-libs zlib1-devel
%endif

%if %buildfor8_1
BuildRequires:	gcc-c++
%endif

%if %buildfor8_2
BuildRequires:	MySQL-devel MySQL-shared XFree86-devel XFree86-libs
BuildRequires:	XFree86-static-libs freetype2-devel gawk libMesaGL1
BuildRequires:	libMesaGLU1-devel libbinutils2 libbzip2_1-devel
BuildRequires:	libjpeg62-devel liblcms1 libmng1-devel libpng3-devel
BuildRequires:	libtermcap2 libunixODBC2-devel postgresql-devel
BuildRequires:	postgresql-libs zlib1
%endif



%description
Qt is a complete and well-designed multi-platform object-oriented framework for
developing graphical user interface (GUI) applications using C++. Qt has
seamless integration with OpenGL/Mesa 3D libraries.

Qt is free for development of free software on the X Window System. It includes
the complete source code for the X version and makefiles for Linux, Solaris,
SunOS, FreeBSD, OSF/1, Irix, BSD/OS, NetBSD, SCO, HP-UX and AIX. This edition
of Qt may be modified and distributed under the terms found in the LICENSE.QPL
file.

Qt also supports Windows 95 and NT, with native look and feel. Code developed
for the X version of Qt can be recompiled and run using the Windows 95/NT
version of Qt, and vice versa.

Qt is currently used in hundreds of software development projects world wide,
including the K Desktop Environment (see http://www.kde.org). For more
examples, see http://www.trolltech.com/qtprogs.html.

Qt has excellent documentation: around 750 pages of postscript and fully
cross-referenced online html documentation. It is available on the web:
http://doc.trolltech.com/

Qt is easy to learn, with consistent naming across all the classes and a
14-chapter on-line tutorial with links into the rest of the documentation.
A number of 3rd-party books are also available.

Qt dramatically cuts down on development time and complexity in writing
user interface software for the X Window System. It allows the programmer
to focus directly on the programming task, and not mess around with
low-level Motif/X11 code.

Qt is fully object-oriented. All widgets and dialogs are C++ objects,
and, using inheritance, creation of new widgets is easy and natural.

Qt's revolutionary signal/slot mechanism provides true component
programming. Reusable components can work together without any knowledge
of each other, and in a type-safe way.

Qt has a very fast paint engine, in some cases ten times faster than other
toolkits. The X version is based directly on Xlib and uses neither
Motif nor X Intrinsics.

Qt is available under two different licenses:
  - The Qt Professional Edition License, for developing fully commercial
    software: see http://www.trolltech.com/pricing.html
  - The Q Public License (QPL), for developing free softwar (X Window System
    only).


%package -n lib%name
Summary:        Qt3 - Shared libraries
Group:          System/Libraries

%description -n lib%name
Qt is a complete and well-designed multi-platform object-oriented framework for
developing graphical user interface (GUI) applications using C++. Qt has
seamless integration with OpenGL/Mesa 3D libraries.

Qt is free for development of free software on the X Window System. It includes
the complete source code for the X version and makefiles for Linux, Solaris,
SunOS, FreeBSD, OSF/1, Irix, BSD/OS, NetBSD, SCO, HP-UX and AIX. This edition
of Qt may be modified and distributed under the terms found in the LICENSE.QPL
file.

Qt also supports Windows 95 and NT, with native look and feel. Code developed
for the X version of Qt can be recompiled and run using the Windows 95/NT
version of Qt, and vice versa.

Qt is currently used in hundreds of software development projects world wide,
including the K Desktop Environment (see http://www.kde.org). For more
examples, see http://www.trolltech.com/qtprogs.html.

Qt has excellent documentation: around 750 pages of postscript and fully
cross-referenced online html documentation. It is available on the web:
http://doc.trolltech.com/

Qt is easy to learn, with consistent naming across all the classes and a
14-chapter on-line tutorial with links into the rest of the documentation.
A number of 3rd-party books are also available.

Qt dramatically cuts down on development time and complexity in writing
user interface software for the X Window System. It allows the programmer
to focus directly on the programming task, and not mess around with
low-level Motif/X11 code.

Qt is fully object-oriented. All widgets and dialogs are C++ objects,
and, using inheritance, creation of new widgets is easy and natural.

Qt's revolutionary signal/slot mechanism provides true component
programming. Reusable components can work together without any knowledge
of each other, and in a type-safe way.

Qt has a very fast paint engine, in some cases ten times faster than other
toolkits. The X version is based directly on Xlib and uses neither
Motif nor X Intrinsics.

Qt is available under two different licenses:
  - The Qt Professional Edition License, for developing fully commercial
    software: see http://www.trolltech.com/pricing.html
  - The Q Public License (QPL), for developing free softwar (X Window System
    only).

This package contains shared libraries. 


%package -n lib%name-devel
Summary: 	Qt3 - Documentation and files needed to build Qt3 based applications
Group: 		Development/KDE and Qt
PreReq: 	lib%name = %version-%release
Requires:	libqt3 = %version-%release, libunixODBC2-devel, MySQL-devel, postgresql-devel
# David - 3.0.0-0.11-mdk - Rpmlint want a 'Provides: libqt-devel' here. We don't
#                          provide it because there is a high risk to confuse
#                          some old packages

%description -n lib%name-devel
Qt is a complete and well-designed multi-platform object-oriented framework for
developing graphical user interface (GUI) applications using C++. Qt has
seamless integration with OpenGL/Mesa 3D libraries.

Qt is free for development of free software on the X Window System. It includes
the complete source code for the X version and makefiles for Linux, Solaris,
SunOS, FreeBSD, OSF/1, Irix, BSD/OS, NetBSD, SCO, HP-UX and AIX. This edition
of Qt may be modified and distributed under the terms found in the LICENSE.QPL
file.

Qt also supports Windows 95 and NT, with native look and feel. Code developed
for the X version of Qt can be recompiled and run using the Windows 95/NT
version of Qt, and vice versa.

Qt is currently used in hundreds of software development projects world wide,
including the K Desktop Environment (see http://www.kde.org). For more
examples, see http://www.trolltech.com/qtprogs.html.

Qt has excellent documentation: around 750 pages of postscript and fully
cross-referenced online html documentation. It is available on the web:
http://doc.trolltech.com/

Qt is easy to learn, with consistent naming across all the classes and a
14-chapter on-line tutorial with links into the rest of the documentation.
A number of 3rd-party books are also available.

Qt dramatically cuts down on development time and complexity in writing
user interface software for the X Window System. It allows the programmer
to focus directly on the programming task, and not mess around with
low-level Motif/X11 code.

Qt is fully object-oriented. All widgets and dialogs are C++ objects,
and, using inheritance, creation of new widgets is easy and natural.

Qt's revolutionary signal/slot mechanism provides true component
programming. Reusable components can work together without any knowledge
of each other, and in a type-safe way.

Qt has a very fast paint engine, in some cases ten times faster than other
toolkits. The X version is based directly on Xlib and uses neither
Motif nor X Intrinsics.

Qt is available under two different licenses:
  - The Qt Professional Edition License, for developing fully commercial
    software: see http://www.trolltech.com/pricing.html
  - The Q Public License (QPL), for developing free softwar (X Window System
    only).

This package contains:
  - files needed to build Qt based applications
  - desginer, assistant and linguist applications
  - documentation, examples and tutorials



%prep


%setup -q -n qt-x11-free-%version
%patch2 -p1

%build
export QTDIR=$(/bin/pwd)
export PATH=$QTDIR/bin:$PATH
export MANPATH=$QTDIR/doc/man:$MANPATH
export LD_LIBRARY_PATH=$QTDIR/lib:$LD_LIBRARY_PATH

# David - 3.0.0-0.11mdk - Use optimizations.
perl -pi -e "s|^QMAKE_CFLAGS_RELEASE	= -O2|QMAKE_CFLAGS_RELEASE	= %optflags|" mkspecs/linux-g++/qmake.conf

# David - 3.0.0-0.11mdk - Remove rpath.
perl -pi -e "s|^QMAKE_RPATH		= -Wl,-rpath,|QMAKE_RPATH		= |" mkspecs/linux-g++/qmake.conf


# David - 3.0.0-0.11mdk - We only need shared/threaded libraries on a Mandrake
#                         Linux system
./configure -I/usr/include/pgsql/ -I/usr/include/pgsql/server/ -I/usr/include/mysql/ \
            -prefix %buildroot/%_libdir/qt3 \
	    -docdir %buildroot/%_docdir/qt-%version/doc/html \
	    -release \
            -shared \
	    -qt-gif \
	    -system-zlib \
	    -no-nas-sound \
            -no-g++-exceptions \
	    -platform linux-g++ \
            -enable-tools \
            -enable-kernel \
            -enable-widgets \
            -enable-dialogs \
            -enable-iconview \
            -enable-workspace \
            -enable-network \
            -enable-canvas \
            -enable-table \
            -enable-xml \
	    -enable-opengl \
            -enable-sql \
            -plugin-sql-mysql \
            -plugin-sql-odbc \
            -plugin-sql-psql \
	    -no-style-cde \
	    -no-style-compact \
	    -no-style-motif \
	    -no-sytle-motifplus \
	    -no-style-platinium \
	    -no-style-sgi \
	    -no-style-windows \
	    -thread \
            -stl \
	    -no-remote \
	    -qt-imgfmt-png \
	    -qt-imgfmt-jpeg \
	    -qt-imgfmt-mng  \
	    -system-libpng \
	    -system-libjpeg \
	    -system-libmng \
	    -sm \
	    -xinerama \
	    -xrender \
	    -xft \
	    -no-tablet \
	    -xkb <<EOF
yes
EOF

# David - 3.0.0-0.11mdk - We only provide tutorials and example for as
#                         documentation, so spend time to build them means
#                         lost time
%make symlinks src-qmake src-moc sub-src sub-tools



%install
rm -fr %buildroot

# David - 3.0.0-0.11mdk - Work around for a broken make install
install -d -m 0755 %buildroot/%_libdir/qt3/


make install


# David - 3.0.0-0.11mdk - Add SQL plugins (broken make install...)
install -d -m 0755 %buildroot/%_libdir/qt3/plugins/sqldrivers/
install -m 0755 $RPM_BUILD_DIR/qt-%version/plugins/sqldrivers/*.so %buildroot/%_libdir/qt3/plugins/sqldrivers/


# David - 3.0.0-0.11mdk - Fix some bad symlinks
cd %buildroot/%_libdir/qt3/lib/
ln -sf libeditor.so.1.0.0 libeditor.so
ln -sf libeditor.so.1.0.0 libeditor.so.1.0
ln -sf libqt-mt.so.%version  libqt-mt.so
ln -sf libqt-mt.so.%version  libqt-mt.so.3.0
ln -sf libqui.so.1.0.0    libqui.so
ln -sf libqui.so.1.0.0    libqui.so.1.0
cd -


# David - 3.0.0-0.11mdk - Install missing documentation
install -d -m 0755 %buildroot/%_docdir/qt-%version/
install -m 0644 $RPM_BUILD_DIR/qt-%version/ANNOUNCE  %buildroot/%_docdir/qt-%version/
install -m 0644 $RPM_BUILD_DIR/qt-%version/FAQ       %buildroot/%_docdir/qt-%version/
install -m 0644 $RPM_BUILD_DIR/qt-%version/LICENSE*  %buildroot/%_docdir/qt-%version/
install -m 0644 $RPM_BUILD_DIR/qt-%version/README    %buildroot/%_docdir/qt-%version/
install -m 0644 $RPM_BUILD_DIR/qt-%version/README.QT %buildroot/%_docdir/qt-%version/
#install -m 0644 $RPM_BUILD_DIR/qt-%version/changes*  %buildroot/%_docdir/qt-%version/


# David - 3.0.0-0.11mdk - Install a README for Mandrake Linux
install -m 0644 %SOURCE8 %buildroot/%_docdir/qt-%version/README.Mandrake_Linux
perl -pi -e "s|QtVersion|%version|" %buildroot/%_docdir/qt-%version/README.Mandrake_Linux
perl -pi -e "s|QtVersion|%version|" %buildroot/%_docdir/qt-%version/README.Mandrake_Linux
perl -pi -e "s|PackageVersion|%version-%release|" %buildroot/%_docdir/qt-%version/README.Mandrake_Linux
perl -pi -e "s|PackageVersion|%version-%release|" %buildroot/%_docdir/qt-%version/README.Mandrake_Linux


# David - 3.0.0-0.11mdk - Install man pages
install -d -m 0755 %buildroot/%_mandir/man1/
for i in $RPM_BUILD_DIR/qt-%version/doc/man/man1/* ; do
   install -m 0644 $i %buildroot/%_mandir/man1/
done
#
install -d -m 0755 %buildroot/%_mandir/man3/
for i in $RPM_BUILD_DIR/qt-%version/doc/man/man3/* ; do
   install -m 0644 $i %buildroot/%_mandir/man3/
done


# David - 3.0.1-2mdk - Install .pri files needed to build examples and tutorials
install -d -m 0755 %buildroot/%_libdir/qt3/src/
for i in $RPM_BUILD_DIR/qt-%version/src/*.pri; do
   install -m 0644 $i %buildroot/%_libdir/qt3/src/
done


## David - 3.0.0-0.11mdk - Examples and tutorial
# David - 3.0.0-0.11mdk - Provide a qmake.cache for examples
cp -ar $RPM_BUILD_DIR/qt-%version/examples/ %buildroot/%_docdir/qt-%version
cp -p $RPM_BUILD_DIR/qt-%version/.qmake.cache %buildroot/%_docdir/qt-%version/examples/
perl -pi -e "s|^QT_SOURCE_TREE.*|QT_SOURCE_TREE = %_libdir/qt3|" %buildroot/%_docdir/qt-%version/examples/.qmake.cache
perl -pi -e "s|^QT_BUILD_TREE.*|QT_BUILD_TREE = %_libdir/qt3|" %buildroot/%_docdir/qt-%version/examples/.qmake.cache
perl -pi -e "s|^QT_PREFIX=.*|QT_PREFIX=%_libdir/qt3|" %buildroot/%_docdir/qt-%version/examples/.qmake.cache
perl -pi -e "s|^docs.path=.*|docs.path=%_docdir/qt-%version/doc/html|" %buildroot/%_docdir/qt-%version/examples/.qmake.cache
perl -pi -e "s|^headers.path=.*|headers.path=%_includedir/qt3|" %buildroot/%_docdir/qt-%version/examples/.qmake.cache
perl -pi -e "s|^QT_INSTALL_LIBPATH=.*|QT_INSTALL_LIBPATH=%_libdir|" %buildroot/%_docdir/qt-%version/examples/.qmake.cache
perl -pi -e "s|^QT_INSTALL_BINPATH=.*|QT_INSTALL_BINPATH=%_bindir|" %buildroot/%_docdir/qt-%version/examples/.qmake.cache

# David - 3.0.0-0.11mdk - Provide a qmake.cache for tutorial
cp -ar $RPM_BUILD_DIR/qt-%version/tutorial/ %buildroot/%_docdir/qt-%version
cp -p %buildroot/%_docdir/qt-%version/examples/.qmake.cache %buildroot/%_docdir/qt-%version/tutorial/.qmake.cache

# David - 3.0.0-0.11mdk - Set qmake.cache to right directory
find %buildroot/%_docdir/qt-%version/{examples,tutorial} -name Makefile | xargs perl -pi -e "s|../.qmake.cache|.qmake.cache|"
#find %buildroot/%_docdir/qt-%version/{examples,tutorial} -name Makefile | xargs perl -pi -e "s|../../.qmake.cache|../.qmake.cache|"

# David - 3.0.0-0.11mdk - Fix include directory for examples
find %buildroot/%_docdir/qt-%version/examples -name Makefile | xargs perl -pi -e "s|../../../include|%_libdir/qt3/include|"

# David - 3.0.0-0.11mdk - Fix include directory for examples
find %buildroot/%_docdir/qt-%version/examples -name Makefile | xargs perl -pi -e "s|../../include|%_libdir/qt3/include|"

# David - 3.0.1-2mdk - Fix lib directory for examples
find %buildroot/%_docdir/qt-%version/{examples,tutorial} -name Makefile | xargs perl -pi -e "s|../../../../lib/libqt-mt.prl|%_libdir/qt3/lib/libqt-mt.prl|"
find %buildroot/%_docdir/qt-%version/{examples,tutorial} -name Makefile | xargs perl -pi -e "s|../../../lib/libqt-mt.prl|%_libdir/qt3/lib/libqt-mt.prl|"
find %buildroot/%_docdir/qt-%version/{examples,tutorial} -name Makefile | xargs perl -pi -e "s|../../lib/libqt-mt.prl|%_libdir/qt3/lib/libqt-mt.prl|"

find %buildroot/%_docdir/qt-%version/{examples,tutorial} -name Makefile | xargs perl -pi -e "s|../../src/qt_professional.pri|%_libdir/qt3/src/qt_professional.pri|"

# David - 3.0.0-0.11mdk - Set RPM_BUILD_DIR to QTDIR
find %buildroot/%_docdir/qt-%version/{examples,tutorial} -name Makefile | xargs perl -pi -e "s|$RPM_BUILD_DIR/qt-%version|%_libdir/qt3|"

# David - 3.0.1-2mdk - Explain in examples README that QTDIR need to be set
#                      before try to build one of them
cd %buildroot/%_docdir/qt-%version/examples/
cat README > README.tmp
echo "Before try to build one of these examples, you need to:" > README
echo "" >> README
echo "export QTDIR=\"/usr/lib/qt3/\"" >> README
echo "" >> README
echo "" >> README
cat README.tmp >> README
rm -f README.tmp
cd -

# David - 3.0.1-2mdk - Fix PATH to tutorial.html in tutorials README
perl -pi -e "s|../doc/html/tutorial.html|%_docdir/qt-%version/doc/html/tutorial.html|" %buildroot/%_docdir/tutorial/README

# David - 3.0.1-2mdk - Explain in tutorials README that QTDIR need to be set
#                      before try to build one of them
cd %buildroot/%_docdir/qt-%version/tutorial/
cat README > README.tmp
echo "Before try to build one of these examples, you need to:" > README
echo "" >> README
echo "export QTDIR=\"/usr/lib/qt3/\"" >> README
echo "" >> README
echo "" >> README
cat README.tmp >> README
rm -f README.tmp
cd -

# David - 3.0.0-0.11mdk - Install examples. They are usefull only for people who
#                         want learn to use Qt. We assume they are rarely used
#                         So, we can compress them to save space.
cd %buildroot/%_docdir/qt-%version/
tar jcf %buildroot/%_docdir/qt-%version/examples.tar.bz2 examples/
rm -fr examples/
cd -

# David - 3.0.0-0.11mdk - Install tutorial. It is usefull only for people who
#                         want learn to use Qt. We assume it is rarely used.
#                         So, we can compress it to save space.
cd %buildroot/%_docdir/qt-%version/
tar jcf %buildroot/%_docdir/qt-%version/tutorial.tar.bz2 tutorial/
rm -fr tutorial/
cd -


# David - 3.0.0-0.11mdk - Create a fake QTDIR (because Qt doesn't care of FHS
#                         and want all its directories in its own directory...)
cd %buildroot/%_libdir/qt3/
install -d -m 0755 doc
ln -s ../../../share/doc/qt-%version/doc/html/ doc/html
cd -


# David - 3.0.0-0.11mdk - Install needed files to automatically set QTDIR
#                         (because Qt doesn't care of FHS and want all its
#                         directories in its own directory...)
install -d -m 0755 %buildroot/%_sysconfdir/profile.d/
#install -m 0755 %SOURCE1 %buildroot/%_sysconfdir/profile.d/qtdir3.csh
#install -m 0755 %SOURCE2 %buildroot/%_sysconfdir/profile.d/qtdir3.sh


# David - 3.0.0-0.11mdk - Automatically set QT_XFT
install -m 0755 %SOURCE9 %buildroot/%_sysconfdir/profile.d/qtxft3.csh
install -m 0755 %SOURCE10 %buildroot/%_sysconfdir/profile.d/qtxft3.sh


# David - 3.0.0-0.11mdk - Be sure designer is launched using the right environment
mv %buildroot/%_libdir/qt3/bin/designer %buildroot/%_libdir/qt3/bin/designer-real
install -m 0755 %SOURCE5 %buildroot/%_libdir/qt3/bin/designer

# David - 3.0.1-2mdk - To allow designer to be lauched from PATH
install -d -m 0755 %buildroot/%_bindir/
cd %buildroot/%_bindir/
ln -s ../lib/qt3/bin/designer designer-qt3
cd -


# David - 3.0.0-0.11mdk - Be sure qmake is launched using the right environment
install -m 0755 %SOURCE6 %buildroot/%_bindir/assistant


# David - 3.0.1-6mdk - Be sure /usr/lib/qt3/mkspecs/default point on right
#                      directory
cd %buildroot/%_libdir/qt3/mkspecs/
rm -rf default
ln -sf linux-g++ default
cd -

# David - 3.0.0-0.11mdk - Install designer and linguist .desktop files for Gnome
install -d -m 0755 %buildroot/%_datadir/gnome/apps/Development/
install -m 0644 %SOURCE3 %buildroot/%_datadir/gnome/apps/Development/designer.desktop
install -m 0644 %SOURCE4 %buildroot/%_datadir/gnome/apps/Development/linguist.desktop


# David - 3.0.0-0.11mdk - Install designer and linguist .desktop files for KDE
install -d -m 0755 %buildroot/%_datadir/applnk/Development/
install -m 0644 %SOURCE3 %buildroot/%_datadir/applnk/Development/designer.desktop
install -m 0644 %SOURCE4 %buildroot/%_datadir/applnk/Development/linguist.desktop


## David - 3.0.0-0.11mdk - Install menu entries
install -d -m 0755 %buildroot/%_menudir/

# David - 3.0.0-0.11mdk - Install assistant menu entry
cat <<EOF > %buildroot/%_menudir/libqt3-devel-assistant
?package(libqt3-devel): needs=X11 \
                         section="Documentation" \
			 title="Qt3 Assistant" \
			 longtitle="A manual browser for Qt3 documentation" \
			 command="%_bindir/assistant" \
			 icon="documentation_section.png"
EOF

# David - 3.0.0-0.11mdk - Install designer menu entry
cat <<EOF > %buildroot/%_menudir/libqt3-devel-designer
?package(libqt3-devel): needs=X11 \
                        section="Applications/Development/Development environments" \
			title="Qt3 Designer" \
			longtitle="A graphical designer/dialog builder for Qt3" \
			command="/usr/bin/designer-qt3" \
			icon="development_section.png"
EOF

# David - 3.0.0-0.11mdk - Install linguist menu entry
cat <<EOF > %buildroot/%_menudir/libqt3-devel-linguist
?package(libqt3-devel): needs=X11 \
                        section="Applications/Development/Development environments" \
			title="Qt Linguist" \
			longtitle="A translation tool for Qt3" \
			command="%_libdir/qt3/bin/linguist" \
			icon="development_section.png"
EOF



%clean
rm -fr %buildroot



%post -n lib%name
grep -q "^%_libdir/qt3/lib$" /etc/ld.so.conf || echo "%_libdir/qt3/lib" >> /etc/ld.so.conf
/sbin/ldconfig

%postun -n lib%name
if [ "$1" = "0" ]; then
   rm -f /etc/ld.so.conf.new
   grep -v -e "%_libdir/qt3/lib" /etc/ld.so.conf > /etc/ld.so.conf.new
   mv -f /etc/ld.so.conf.new /etc/ld.so.conf
fi
/sbin/ldconfig

%post -n lib%name-devel
/sbin/ldconfig
%update_menus

%postun -n lib%name-devel
/sbin/ldconfig
%clean_menus



%files -n lib%name
%defattr(-,root,root,-)
%config(noreplace) %_sysconfdir/profile.d/qtxft3.csh
%config(noreplace) %_sysconfdir/profile.d/qtxft3.sh
#
#
#
%dir %_libdir/qt3/
%dir %_libdir/qt3/lib/
%_libdir/qt3/lib/libeditor.so.1
%_libdir/qt3/lib/libeditor.so.1.0
%_libdir/qt3/lib/libeditor.so.1.0.0
%_libdir/qt3/lib/libqt-mt.so.3
%_libdir/qt3/lib/libqt-mt.so.3.0
%_libdir/qt3/lib/libqt-mt.so.%version
%_libdir/qt3/lib/libqui.so.1
%_libdir/qt3/lib/libqui.so.1.0
%_libdir/qt3/lib/libqui.so.1.0.0



%files -n lib%name-devel
%defattr(-,root,root,-)
%dir %_docdir/qt-%version/
%doc %_docdir/qt-%version/ANNOUNCE
%doc %_docdir/qt-%version/FAQ
%doc %_docdir/qt-%version/LICENSE*
%doc %_docdir/qt-%version/README*
#%doc %_docdir/qt-%version/changes*
%doc %_docdir/qt-%version/*.bz2
#
#
%dir %_docdir/qt-%version/doc/
%dir %_docdir/qt-%version/doc/html/
%doc %_docdir/qt-%version/doc/html/*
#
#
#
%doc %_mandir/man1/*
#
#
%doc %_mandir/man3/*
#
#
#
%_bindir/*
#
#
#
%_menudir/*
#
#
#
%dir %_datadir/applnk/
%dir %_datadir/applnk/Development/
%_datadir/applnk/Development/*.desktop
#
#
#
%dir %_datadir/gnome/
%dir %_datadir/gnome/apps/
%dir %_datadir/gnome/apps/Development/
%_datadir/gnome/apps/Development/*.desktop
#
#
#
%dir %_libdir/qt3/
%_libdir/qt3/bin
%_libdir/qt3/include
%_libdir/qt3/lib
#
#
%dir %_libdir/qt3/doc/
%_libdir/qt3/doc/html
#
#
%dir %_libdir/qt3/mkspecs/
%_libdir/qt3/mkspecs/*
#
#
%dir %_libdir/qt3/plugins/
%dir %_libdir/qt3/plugins/designer/
%_libdir/qt3/plugins/designer/*
#
%dir %_libdir/qt3/plugins/sqldrivers/
%_libdir/qt3/plugins/sqldrivers/*
#
#
%dir %_libdir/qt3/src/
%_libdir/qt3/src/*
#
#
%dir %_libdir/qt3/tools/
%dir %_libdir/qt3/tools/designer/
%dir %_libdir/qt3/tools/designer/templates/
%_libdir/qt3/tools/designer/templates/*.ui



%changelog
* Sat Mar 02 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-2mdk
- Use official qt3-3.0.2

* Sat Feb 02 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.2-1mdk
- Used qt-rsync

* Tue Jan 15 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0.1-6mdk
- Fix bad /usr/lib/qt3/mkspecs/default link - Thanks to Alexander Skwar

* Thu Jan 10 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0.1-5mdk
- Rebuild to replace lost src.rpm

* Wed Jan 09 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0.1-4mdk
- Fix menu entries (png icons)

* Wed Jan 09 2002 David BAUDENS <baudens@mandrakesoft.com> 3.0.1-3mdk
- Fix %_libdir/qt3/doc/html link

* Sun Dec 30 2001 David BAUDENS <baudens@mandrakesoft.com> 3.0.1-2mdk
- Allow Qt2 and Qt3 to be installed in same time (see CVS for details)
- Remove support for 7.2

* Wed Dec 12 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-1mdk
- Change release number ( 3.0.1-0.1mdk -> 3.0.1-1mdk)

* Wed Dec 12 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-0.1mdk
- update code (3.0.1)

* Sat Dec 08 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.13mdk
- Use %%version for lib name

* Mon Dec 03 2001 David BAUDENS <baudens@mandrakesoft.com> 3.0.0-0.12mdk
- Fix /etc/profile.d/qtdir3.csh - Thanks to Alexander Schmolck
- Fix PATH in /usr/share/doc/libqt3-devel-3.0.0/README.Mandrake_Linux - Thanks
  to Alexander Schmolck

* Fri Nov 23 2001 David BAUDENS <baudens@mandrakesoft.com> 3.0.0-0.11mdk
- Rewrite spec (there are a lot of modifications, see CVS for full informations)

* Thu Nov 22 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.10mdk
- Fix

* Wed Nov 21 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.9mdk
- Add new entry menu for (assistant, linguist programm)

* Thu Nov 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.8mdk
- Fix doc

* Mon Nov 19 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.7mdk
- Use qt-copy

* Mon Nov 19 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.6mdk
- %%update_menu %%clean_menu 
- Add requires

* Mon Nov 19 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.5mdk
- Add man file
- Add missing file (images pluggins)

* Sun Nov 18 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.4mdk
- Add menu entry
- Some Clean

* Sat Nov 17 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.3mdk
- Some clean

* Tue Nov 06 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.0.0-0.2mdk
- change designer package name
- if (stable) provides in libqt3-devel

* Thu Oct 18 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.0.0-0.1mdk
- new
